Bug 1172238 - Review Request: perl-Crypt-RIPEMD160 - Perl extension for the RIPEMD-160 Hash function
Summary: Review Request: perl-Crypt-RIPEMD160 - Perl extension for the RIPEMD-160 Hash...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2014-12-09 16:49 UTC by Petr Šabata
Modified: 2014-12-10 09:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 09:13:11 UTC
ppisar: fedora-review?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 452453 None None None Never

Internal Links: 452453

Description Petr Šabata 2014-12-09 16:49:00 UTC
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Crypt-RIPEMD160/perl-Crypt-RIPEMD160.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Crypt-RIPEMD160/perl-Crypt-RIPEMD160-0.05-1.fc20.src.rpm
Description:
The Crypt::RIPEMD160 module allows you to use the RIPEMD160 Message Digest
algorithm from within Perl programs.
Fedora Account System Username: psabata

Comment 1 Petr Pisar 2014-12-10 08:42:45 UTC
URL and Source0 are usable. Ok.
Source0 archive is original (SHA-256: ec8987517d138ac8a4be3c72ba36d69e06f18378a284f6df03c4f954ceaedaa8). Ok.

FATAL: rmd160.c, rmd160.h (and files in under rmd160 which are not used for building) have wrong license:

/********************************************************************\
 *
 *      FILE:     rmd160.c
 *
 *      CONTENTS: A sample C-implementation of the RIPEMD-160
 *                hash-function.
 *      TARGET:   any computer with an ANSI C compiler
 *
 *      AUTHOR:   Antoon Bosselaers, ESAT-COSIC
 *      DATE:     1 March 1996
 *      VERSION:  1.0
 *
 *      Copyright (c) Katholieke Universiteit Leuven
 *      1996, All Rights Reserved
 *
\********************************************************************/

Nothing has changed since Crypt-RIPEMD160-0.04. See another review bug #452453. You need formal statement from the "Katholieke Universiteit Leuven" granting you rights required by the Fedora project.

Comment 2 Petr Šabata 2014-12-10 09:13:11 UTC
After reading the old bug, seeing the statement from the author wasn't formal enough and the notice in the package isn't sufficient, there isn't much I can (or am willing to) do about this one.

Closing.


Note You need to log in before you can comment on or make changes to this bug.